import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot.js';

// Replace 'data.csv' with the path to your CSV file if necessary
const csvUrl = 'videogame.csv';

const parseRow = (d) => {
  d.Sales = +d.Sales;
  d.Rating = +d.Rating;
  return d;
};

const width = 960; // Adjust as needed
const height = 500; // Adjust as needed
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const render = async () => {
  const data = await csv(csvUrl, parseRow);

  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(data)
    .xValue((d) => d.Sales)
    .yValue((d) => d.Rating)
    .colorValue((d) => d.Category)
    .margin({ top: 20, right: 20, bottom: 40, left: 50 })
    .radius(5);

  svg.call(plot);
};

render();
